* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  color: inherit;
  text-decoration: none;
  cursor: default;
}

body {
  font-family: Arial, sans-serif;
  line-height: 1.2;
}

section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px;
}

.container {
  width: 100%;
  max-width: 1200px;
}

img {
  width: auto;
}

p {
  font-size: 1.2em;
}

/* HEADER */

.header {
  display: flex;
  align-items: center;
  width: 100%;
  position: fixed;
  background-color: #ffffff;
  z-index: 9999;
  border-bottom: solid #00c705 3px;
}

.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

.header-container2 {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
}

.logo {
  width: 150px;
}

/* TOPO */
.topo {
  background-image: url("imagens/bsb-baterias-bg.jpg");
  background-color: #1167b0;
  background-size: cover;
  background-position: center;
  padding: 100px 20px;
}

.topo-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
  color: white;
  text-align: center;
}

.img-topo {
  padding-top: 70px;
  width: 100%;
  max-width: 600px;
}

.topo h1 {
  font-size: 2.3em;
  max-width: 900px;
}

.cor-white {
  color: white;
}
.cor1 {
  color: #00c705;
}

.cor2 {
  color: #1167b0;
}

.icon-texto {
  display: inline-flex;

  gap: 8px;
}

.bt-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 15px 30px;
  font-size: 1.2em;
  font-weight: bold;
  background-color: #00c705;
  color: white;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  transition: transform 0.3s;
}

.bt-button2 {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 15px 30px;
  font-size: 1.2em;
  font-weight: bold;
  background-color: #f3bb03;
  color: #1167b0;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  transition: transform 0.3s;
}

.bt-button:hover {
  transform: scale(1.03);
}

.bt-button2:hover {
  transform: scale(1.03);
}

.texto_pp {
  font-size: 12px;
}

/* SESSÃO CARDS */
.sessao-cards-1 {
  padding: 50px 20px;
  background-color: #ffffff;
}

.sessao-cards-2 {
  padding: 50px 20px;
  background-color: #00c705;
}

.sessao-cards-3 {
  padding: 50px 20px;
  background-color: #1167b0;
}

.cards-container {
  display: flex;
  gap: 20px;
  padding-bottom: 20px;
}

.cards2-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  padding-bottom: 20px;
  gap: 20px;
}
.cards-title {
  font-size: 2em;
  max-width: 900px;
  text-align: center;
  margin-bottom: 40px;
}

.card-1 {
  width: 100%;
  background-color: #1167b0;
  border-radius: 20px;
  overflow: hidden;
  /*box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);*/
  transition: transform 0.3s;
}

.card-2 {
  width: 100%;
  max-width: 250px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card-3 {
  width: 100%;
  max-width: 360px;
  display: flex;
  flex-direction: column;
  align-items: center;
  border-radius: 20px;
  padding: 20px;
  background-color: #0a4375;
}

.card-1:hover {
  transform: scale(1.03);
}

.card-1-img {
  width: 100%;
  height: 250px;
  object-fit: cover;
}

.card-2-img {
  height: 150px;
}

.card-content {
  padding: 15px;
  text-align: center;
}

.card-content h3 {
  margin-bottom: 10px;
  color: #ffffff;
  font-size: 1.5em;
}

.card-content p {
  font-size: 0.95em;
  color: #ffffff;
}

.img-pagamento {
  padding: 20px;
}

/*FOOTER*/

.footer {
  background-color: #083964;
}
.footer-container {
  display: flex;
  justify-content: center;
  color: #ffffff;
}
.footer a {
  cursor: pointer;
}

.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 9999;
  width: 60px;
  height: 60px;
  background-color: #25d366;
  border-radius: 50%;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  display: flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  transition: transform 0.3s;
}

.whatsapp-float img {
  width: 50px;
  height: 50px;
}

.whatsapp-float:hover {
  transform: scale(1.1);
}

.pagamentos {
  color: #ffffff;
  padding-top: 40px;
  text-align: center;
}

@media (max-width: 900px) {
  .card-2 {
    min-width: 300px;
  }
}

@media (max-width: 700px) {
  .cards-container {
    flex-direction: column;
  }

  .header-container {
    flex-direction: column;
  }
}
@media (max-width: 600px) {
  .header-container {
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
  }

  .header-container a {
    display: none;
  }

  .topo h1 {
    font-size: 1.4em;
  }

  .topo p {
    font-size: 1em;
  }
}
